Subject: Re: FVWM: GrabFocusTransient not working in Fvwm 2.2.13 to 2.2.15

From: Dominik Vogt <[email-masked]>
Date: Wed, 1 Mar 2000 10:48:00 +0100

On Tue, Feb 29, 2000 at 05:03:06PM -0330, [email-masked] wrote:
> 
> Hello,
> 
> I can't GrabFocusTransient to work with the Netscape Find popup dialog
> box. I have the following:
> 
> Style Navigator RaiseTransient, DontStackTransientParent, NoIconTitle
> Style findDialog_popup GrabFocusTransient, DontStackTransientParent
> 
> ... and the following doesn't work either:
> 
> Style Netscape RaiseTransient, DontStackTransientParent, NoIconTitle
> Style "Netscape: Find" GrabFocus, DontStackTransientParent

Why don't you simply say

  Style Netscape GrabFocus, GrabFocusTransient, DontStackTransientParent

This should apply to all netscape windows (because they have
resource class 'Netscape').  All the your examples seem to work
for me.  BTW, are you invoking the find window via a key binding
or a mouse click?  Unfortunately GrabFocus... doesn't work with
the mouse together with SloppyFocus/MouseFocus.  The reason is, that
as soon as the menu is unmapped, the pointer enters the main window
again and takes the focus away from the newly mapped transient window :(
Can't think of a workaround for this.

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Neil Zanella <[email-masked]>
Date: Wed, 1 Mar 2000 15:45:48 -0330 (NST)

> Can't think of a workaround for this.

Hmmm... there must be a way to make GrabFocusTransient work with
SloppyFocus. I think it might even have been working with one of the
earlier snapshots before 2.3.13 or so since I recall that at one time it
seemed to be working.

Also, FvwmFormGrabServer works with SploppyFocus so there must be a way
to make GrabFocus work with SloppyFocus. GrabFocus also works with
SloppyFocus, even when the mouse pointer is inside a window and a
new window gets mapped.

Best Regards,

Neil